Package org.drinkless.tdlib

# Class TdApi.EmailAddressResetStatePending

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.EmailAddressResetState
org.drinkless.tdlib.TdApi.EmailAddressResetStatePending

Enclosing class:
  `TdApi`

public static class TdApi.EmailAddressResetStatePending extends TdApi.EmailAddressResetState
Email address reset has already been requested. Call resetAuthenticationEmailAddress to check whether immediate reset is possible.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.EmailAddressResetState

  `TdApi.EmailAddressResetState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `resetIn`
  Left time before the email address will be reset, in seconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailAddressResetStatePending()`
  Email address reset has already been requested.
  `EmailAddressResetStatePending(int resetIn)`
  Email address reset has already been requested.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### resetIn

    public int resetIn
    Left time before the email address will be reset, in seconds. updateAuthorizationState is not sent when this field changes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmailAddressResetStatePending

    public EmailAddressResetStatePending()
    Email address reset has already been requested. Call resetAuthenticationEmailAddress to check whether immediate reset is possible.

  - ### EmailAddressResetStatePending

    public EmailAddressResetStatePending(int resetIn)
    Email address reset has already been requested. Call resetAuthenticationEmailAddress to check whether immediate reset is possible.
    Parameters:
      `resetIn` - Left time before the email address will be reset, in seconds. updateAuthorizationState is not sent when this field changes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.EmailAddressResetState`
    Returns:
      this.CONSTRUCTOR